/*
 * @Copyright(C): 2016-2021 ROS小课堂 www.corvin.cn
 * @Author: adam_zhuo
 * @Date: 2021-04-30 15:29:44
 * @Description: imu小程序头文件
 * @History: 20210430:初始化文件-adam_zhuo
 */
#ifndef _IMU_DEMO_H
#define _IMU_DEMO_H

#include <ros/ros.h>
#include <std_msgs/Float32.h>
#include <geometry_msgs/Twist.h>

class Imu_Demo
{
private:
    bool start_flag;
    int target_angle;
    float target_radian;
    float current_radian;
    float target_radian_copy;
    float current_radian_copy;
    ros::NodeHandle nh;
    ros::Subscriber _angle_sub;
    ros::Subscriber _yaw_sub;
    ros::Publisher _cmd_vel_pub;
    geometry_msgs::Twist twist;
public:
    Imu_Demo();
    ~Imu_Demo();
    void angle_callback(const std_msgs::Float32::ConstPtr &data);
    void yaw_callback(const std_msgs::Float32::ConstPtr &data);
};

#endif
