/*
 * @Copyright(C): 2016-2021 ROS小课堂 www.corvin.cn
 * @Author: adam_zhuo
 * @Date: 2021-05-12 09:48:43
 * @Description: 红外demo头文件
 * @History: 20210512:初始化文件-adam_zhuo
 */
#ifndef _INFRARED_DEMO_H
#define _INFRARED_DEMO_H

#include <ros/ros.h>
#include <geometry_msgs/Twist.h>
#include "ros_arduino_msgs/InfraredSensors.h"

class Infrared_Demo
{
private:
    ros::NodeHandle nh;
    ros::Subscriber _infrared_sub;
    ros::Publisher _cmd_vel_pub;
    geometry_msgs::Twist _twist;
    float center_dist;
public:
    Infrared_Demo();
    ~Infrared_Demo();
    void infrared_callback(const ros_arduino_msgs::InfraredSensors::ConstPtr &data);
};

#endif