/*
 * @Copyright(C): 2016-2021 ROS小课堂 www.corvin.cn
 * @Author: adam_zhuo
 * @Date: 2021-04-29 11:24:02
 * @Description: 实现Infrafed_Demo类，main函数入口
 * @History: 20210429:初始化-adam_zhuo
 */
#include <infrared_demo.h>

Infrared_Demo::Infrared_Demo(){

    //从参数服务器中取“center_dist”数据
    ros::param::param<float>("~center_dist", center_dist, 0.2);

    //订阅红外数据
    _infrared_sub = nh.subscribe<ros_arduino_msgs::InfraredSensors>("/mobilebase_arduino/sensor/GP2Y0A41", 1, &Infrared_Demo::infrared_callback, this);
    //注册小车速度发布者
    _cmd_vel_pub = nh.advertise<geometry_msgs::Twist>("/cmd_vel", 1);
}

Infrared_Demo::~Infrared_Demo(){
}

/**
 * @description: 订阅红外数据回调函数
 */
void Infrared_Demo::infrared_callback(const ros_arduino_msgs::InfraredSensors::ConstPtr &data){

    //获取前红外信息
    float front_dist = data->front_dist;

    // >>>根据前红外反馈的距离来控制小车运动，离小车较远时小车前进，离小车较近时小车后退
    


    
    // <<<根据前红外反馈的距离来控制小车运动，离小车较远时小车前进，离小车较近时小车后退
}

int main(int argc, char **argv){

    //初始化节点
    ros::init(argc, argv, "infrared_demo_node");
    //根据Infrafed_Demo声明对象，调用构造函数
    Infrared_Demo infrared_demo;
    //使ROS中回调函数生效
    ros::spin();
}